Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.util
Class HttpUtils

    java.lang.Object
      org.apache.turbine.util.HttpUtils

    public class HttpUtils

extends Object

This class provides utilities for handling some semi-trivial HTTP stuff that would otherwise be handled elsewhere.

Version:
  $Id: HttpUtils.java 1071052 2011-02-15 20:54:47Z tv $
Author:
  Magnús Þór Torfason

Constructor Summary
`HttpUtils()`

Method Summary
`static String` | `formatHttpDate(Date date)` Formats a java Date according to rfc 1123, the rfc standard for dates in http.
`static void` | `setCacheHeaders(RunData data, int expiry)` This method sets the required expiration headers in the response for a given RunData object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpUtils

    public HttpUtils()

Method Detail

### formatHttpDate

    public static String formatHttpDate(Date date)

  Formats a java Date according to rfc 1123, the rfc standard for dates in http.

  Parameters:
    `date` - The Date to format
  Returns:
    A String representation of the date

### setCacheHeaders

    public static void setCacheHeaders(RunData data,
                                       int expiry)

  This method sets the required expiration headers in the response for a given RunData object. This method attempts to set all relevant headers, both for HTTP 1.0 and HTTP 1.1.

  Parameters:
    `data` - The RunData object we are setting cache information for.
    `expiry` - The number of milliseconds until the document should expire, `0` indicating immediate expiration (i.e. no caching).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.